#R
# $HeadURL: https://hedgehog.fhcrc.org/bioconductor/branches/RELEASE_3_4/madman/Rpacks/specL/inst/unitTests/test_ssrc.R $
# $Id: test_ssrc.R 103296 2015-04-30 06:08:56Z c.panse $
# $Date: 2015-04-30 02:08:56 -0400 (Thu, 30 Apr 2015) $

test_ssrc <-
function(){
        

    ssrc <- unlist(lapply(peptideStd, function(x){ssrc(x$peptideSequence)}))
    rt <- unlist(lapply(peptideStd, function(x){x$rt}))

    checkEqualsNumeric(cor(ssrc, rt, method='spearman'), 0.91, tolerance = 0.1)

}


test_ssrc()
